Bug 136125 - Sidebar: no use of GtkMenuToolButton
Summary: Sidebar: no use of GtkMenuToolButton
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Sidebar-UI-UX
  Show dependency treegraph
 
Reported: 2020-08-25 21:10 UTC by andreas_k
Modified: 2022-09-09 03:53 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Line Dialog vs Sidebar (51.51 KB, image/png)
2020-08-25 21:10 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2020-08-25 21:10:56 UTC
Created attachment 164685 [details]
Line Dialog vs Sidebar

In the sidebar there were used GtkMenuToolButton's for 
- LineStyle
- LineColor

which work nice in an toolbar where there is less space, but at the sidebar I recommend to use the widget like in the dialog window. 

The benefit of use the widgets from the dialog windows are:
- Line: it will show an preview AND the name of the line style within the sidebar. so if you select an line you see instantly the name of the line style

- Color: same for color with the GtkMenuToolButton you see an preview but not the name so if you want to use the same color somewhere else it's very complicated to find the correct one

So I think for the toolbar GtkMenuToolButtons are the correct widgets but for the sidebar they are just an step backward.
Comment 1 andreas_k 2020-08-26 07:11:49 UTC
For the width widget presets are fine like in the drop down menu, but strange is that the selection is different between line dialog and sidebar. maybe we can use an drop down widget with the option to insert stuff. In the drop down widget the in file used widths would be nice.
Comment 2 Heiko Tietze 2020-09-08 07:44:30 UTC
In general I would make the sidebar way more simple. All controls that are not used _frequently_ (>10 times per session) belong to the respective dialog, only the most needed attributes should be accessible via sidebar. 

The contextually changing sidebar deck is a source of confusion and bad faith in the application.

Lines are part of graphical objects and by that not _frequently_ used in Writer. And part of a contextually changing deck. I'm aware that a special deck require user interaction to modify the _properties_, which is also wrong.

After this disclaimer I agree with the advantage of labels. Furthermore it's hard to understand for users why the interaction is different depending on the places of controls. Consistency is prime (after simplicity).
Comment 3 QA Administrators 2022-09-09 03:53:39 UTC
Dear andreas_k,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug